//
// Simple Uart0 driver for 9s12DJ64 controller
//
// Juha Niinikoski 22.05.2007
//
// Module definitions
//

extern void SCI0Init(void);               /* Init SCI 0 */
extern void putch(unsigned char);         /* Print one character */

extern void putchhex(unsigned char);      /* Print HEX character */
extern void putlonghex(unsigned long);    /* Print unsigned long HEX */

extern void putulong(unsigned long);      /* print 7-digit long number */
extern void putuint(unsigned int);        /* print 5-digit unsigned int */

extern void putstr(const char *text);     /* Print string */

extern unsigned char kbhit(void);         /* check key hit, return character if hit */
extern unsigned char getch(void);         /* get one character */
